> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Objects

> List all accessible objects for a user

<Info>
  Responses from this endpoint are limited to 1000 files by default.

  If your use case involves checking permissions against collections of 1000+ files, see our [Permissions API Implementation Guide](/managed-sync/permissions-api#implementing-permissions-api) for guidance on using other available endpoints.
</Info>


## OpenAPI

````yaml post /api/permissions/{syncId}/list-objects
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/permissions/{syncId}/list-objects:
    post:
      summary: List Objects
      description: List all accessible objects for a user
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: >-
            UUID of the Sync to query, returned from the [Enable
            Sync](/managed-sync/api/enable-a-sync) endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListObjectsRequest'
      responses:
        '200':
          description: >-
            List of Synced Objects that the user has access to with the
            specified role.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListObjectsResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    ListObjectsRequest:
      type: object
      properties:
        objectType:
          type: string
          description: The type of object to list.
          enum:
            - file
            - folder
        user:
          type: string
          description: The email of the user to list accessible objects for.
          example: email@example.com
        role:
          type: string
          description: The role to use for identifying accessible objects.
          enum:
            - can_read
            - can_write
            - is_owner
      required:
        - user
        - objectType
        - role
    ListObjectsResponse:
      type: object
      required:
        - objects
      properties:
        objects:
          type: array
          items:
            type: string
            description: >-
              UUID of a Synced Object, which can be referenced in the [Get
              Synced Record](/managed-sync/api/get-synced-record) endpoint.
            example: a657df3b-17e2-5989-bc5f-13ddb7fdab41
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````